Eurocardsharing

Go Back   Eurocardsharing > Sharing receivers > VDR and Kaffeine

VDR and Kaffeine Discussion, sasc-ng and ubuntu 11.10 at Sharing receivers forum; Hello, i have Ubuntu 11.10 with kernel 3.0.0-12-generic-pae. I can't compile sasc-ng with it. I followed the instructions at http://dolot.kipdola.com/wiki/Install_SASC-NG ...

Reply
 
LinkBack Thread Tools Display Modes
sasc-ng and ubuntu 11.10
Old
  (#1)
boeing
Junior Member
 
boeing's Avatar
 
Offline
Posts: 3

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 2
Magic: 1 / 64
Experience: 10%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Dec 2009
sasc-ng and ubuntu 11.10 - 26-October-2011, 16:05

Hello,

i have Ubuntu 11.10 with kernel 3.0.0-12-generic-pae.
I can't compile sasc-ng with it.

I followed the instructions at http://dolot.kipdola.com/wiki/Install_SASC-NG.

I get following error:
tps.c:23:27: fatal error: libsi/section.h: file or folder not found.

Has someone running sasc-ng on 3.0.0-12 or is another cccam working?

best regards
   
Reply With Quote
Old
  (#2)
henke66
Junior Member
 
henke66's Avatar
 
Offline
Posts: 2

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 0
Magic: 0 / 20
Experience: 2%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Dec 2007
18-January-2012, 11:44

I followed the instruction at http://dolot.kipdola.com/wiki/Install_SASC-NG as well, but I recompiled the kernel since there is a bug in the mainstream kernel 3.0. I was able to build the kernel 3.0.4 using the instruction http://dolot.kipdola.com/wiki/Compile_Linux and then continue with the sasc build and install.
I do however have a problem watching the encrypted channels but FTA is working fine with the loopback driver.
I use MythTV. I will continue trying to get the encrypted channels work but I haven't got any logging enabled for the sasc module so it is a bit hard to find out what the problem is.
Anybody nows how to enable logging for sasc?
   
Reply With Quote
Sponsored Links
Old
  (#3)
walters123
Junior Member
 
walters123's Avatar
 
Offline
Posts: 8

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 18
Magic: 2 / 372
Experience: 73%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Feb 2011
23-January-2012, 00:16

Quote:
Originally Posted by henke66 View Post
I use MythTV. I will continue trying to get the encrypted channels work but I haven't got any logging enabled for the sasc module so it is a bit hard to find out what the problem is.
Anybody nows how to enable logging for sasc?
=> just start sasc from a terminal and you see the logging.

walter
   
Reply With Quote
Old
  (#4)
zorrua
Member
 
zorrua's Avatar
 
Offline
Posts: 95

Level: 8 [♥ Bé-Yêu ♥]
Life: 0 / 193
Magic: 31 / 4538
Experience: 73%

Thanks: 15
Thanked 5 Times in 5 Posts
Join Date: Jan 2010
23-January-2012, 23:30

Quote:
Originally Posted by boeing View Post
Hello,

i have Ubuntu 11.10 with kernel 3.0.0-12-generic-pae.
I can't compile sasc-ng with it.

I followed the instructions at http://dolot.kipdola.com/wiki/Install_SASC-NG.

I get following error:
tps.c:23:27: fatal error: libsi/section.h: file or folder not found.

Has someone running sasc-ng on 3.0.0-12 or is another cccam working?

best regards
I am looking for same configuration. You need to compile the kernel with a mutex patch. I didn't get it working yet.

If someone has this working, please post it here.

Best regards.
   
Reply With Quote
Old
  (#5)
noopie
Junior Member
 
noopie's Avatar
 
Offline
Posts: 3

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 2
Magic: 1 / 81
Experience: 10%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Oct 2007
25-January-2012, 21:58

Quote:
Originally Posted by boeing View Post
Hello,

i have Ubuntu 11.10 with kernel 3.0.0-12-generic-pae.
I can't compile sasc-ng with it.

I followed the instructions at http://dolot.kipdola.com/wiki/Install_SASC-NG.

I get following error:
tps.c:23:27: fatal error: libsi/section.h: file or folder not found.

Has someone running sasc-ng on 3.0.0-12 or is another cccam working?

best regards
Looks like you need to install vdr-dev package:

apt-get install vdr-dev

Good luck!
   
Reply With Quote
Old
  (#6)
quirck
Junior Member
 
quirck's Avatar
 
Offline
Posts: 3

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 2
Magic: 1 / 53
Experience: 10%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Apr 2011
16-February-2012, 13:57

Quote:
Originally Posted by zorrua View Post
I am looking for same configuration. You need to compile the kernel with a mutex patch. I didn't get it working yet.

If someone has this working, please post it here.

Best regards.

I have the same problems I think on a Gentoo 3.2 kernel.
I can compile the kernelmodule, but cant get anything to work... ( not even FTA).

What is this Mutex-patch ? Where can i find it, and how does it work?

Thanks.
   
Reply With Quote
Old
  (#7)
Saner
Junior Member
 
Saner's Avatar
 
Offline
Posts: 28

Level: 4 [♥ Bé-Yêu ♥♥ Bé-Yêu ♥♥ Bé-Yêu ♥]
Life: 0 / 75
Magic: 9 / 1333
Experience: 3%

Thanks: 4
Thanked 4 Times in 4 Posts
Join Date: Jan 2012
Location: Squornshellous Zeta
17-February-2012, 09:57

Mutex patch - http://dolot.kipdola.com/wiki/Compil...tch_the_source

I couldnt get the latest sasc-ng to work under the 3.x kernel.

It would build, the loopback would work perfectly, but it just wouldnt decrypt anything

In the end I dropped back a couple of ubuntu versions and it worked first time, under 3.x at the moment its so hit and miss I wouldnt even bother, but to each their own.


- Saners Server Rules -
No higher than 100ms ping (can be tested on request or upon link) | No reshare = Delete
90% uptime minimum | 48 Hrs offline with no contact = Delete
I will always post routine maintenance here! -
I Check my server every morning for issues, and remove bad peers (Poor ECM / Ping / Uptime) at weekends..
   
Reply With Quote
Old
  (#8)
daveyboyc
Junior Member
 
daveyboyc's Avatar
 
Offline
Posts: 6

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 11
Magic: 2 / 246
Experience: 47%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Nov 2010
17-February-2012, 16:03

Damn, I've just installed MythTV and ubuntu 11.10 and just about got everything working right before reading this..

It really doesn't work with Ubuntu 11.10 kernel x3 ? Thats annoying.

What would be the most recommended version then?
   
Reply With Quote
Old
  (#9)
Saner
Junior Member
 
Saner's Avatar
 
Offline
Posts: 28

Level: 4 [♥ Bé-Yêu ♥♥ Bé-Yêu ♥♥ Bé-Yêu ♥]
Life: 0 / 75
Magic: 9 / 1333
Experience: 3%

Thanks: 4
Thanked 4 Times in 4 Posts
Join Date: Jan 2012
Location: Squornshellous Zeta
17-February-2012, 16:21

It may work fine for you, it obviously does for some. =)

To be honest even with it working, I still like yavdr more, even with its crappy timeshift =D

But if you must use Mythtv, ubuntu lts (10.04 iirc) works fine if you have the dvb-s2 drivers for it
   
Reply With Quote
Old
  (#10)
daveyboyc
Junior Member
 
daveyboyc's Avatar
 
Offline
Posts: 6

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 11
Magic: 2 / 246
Experience: 47%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Nov 2010
17-February-2012, 17:03

Yes, I just dont really want to install everything again so will probably try it out on 11.10 first and i need some of the features of mythtv.

Do you need a patch to get it working in 11.10 then?
   
Reply With Quote
Reply

Bookmarks

Tags
11.10, sasc-ng, ubuntu


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off

Forum Jump



ECS on RSS ECS on Twitter ECS on Facebook ECS on Youtube
Follow us on:

Powered by vBulletin
Copyright 2002 - 2010, Jelsoft Enterprises Ltd.
SEO by vBSEO ©2011, Crawlability, Inc.
Dreambox